deviceModelId e deviceImei são obrigatórios.deviceImei tem no mínimo 4 caracteres e é único. customChannelNames aceita até 10 caracteres por canal. firmwareId é obrigatório se o modelo tem firmware, e não deve ser enviado se não tem.curl --location 'https://api.cloud-services.yuv.com.br/device' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"deviceModelId": 16,
"deviceImei": "864993060000000",
"simCardId": null,
"firmwareId": 42,
"customChannelNames": {
"1": "Frontal",
"2": "Cabine"
}
}'{
"data": {
"deviceId": 321,
"deviceModelId": 13,
"deviceImei": "864993060000000",
"deviceLastHeartbeat": null,
"deviceLastGps": null,
"deviceFirmwareId": 42,
"deviceIsEnabled": true,
"deviceNetworkType": null,
"deviceManufacturerName": "Jimi Brasil",
"deviceModelName": "JC450",
"deviceOnline": false,
"deviceChannels": {
"1": "Frontal",
"2": "Cabine"
},
"deviceCreatedAt": "2025-05-20T12:00:00Z",
"deviceUpdatedAt": "2025-05-20T12:00:00Z",
"assetId": null,
"assetPrefix": null,
"assetIdentifier": null,
"customerId": null,
"customerName": null,
"simCardId": null,
"simNumber": null
}
}